Name:           scim-chewing
Version:        0.3.5
Release:        14%{?dist}
Summary:        Chewing Chinese input method for SCIM

License:        GPLv2+
Url:            http://chewing.csie.net/
Source:         http://chewing.googlecode.com/files/%{name}-%{version}.tar.bz2
Patch0:         scim-chewing-0.3.5-libchewing04.patch

BuildRequires:  gcc-c++
BuildRequires:  scim-devel, libchewing-devel >= 0.3.4, gettext, intltool >= 0.34
BuildRequires:  libtool
Requires:       scim

%description
This package provides Chewing Chinese input method for SCIM. 


%prep
%setup -q
%patch0 -p1

%build
autoreconf -ivf
intltoolize --force
autoreconf

%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm $RPM_BUILD_ROOT%{_libdir}/scim-1.0/*/*/*.la

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS COPYING
%{_libdir}/scim-1.0/*/SetupUI/chewing-imengine-setup.so
%{_libdir}/scim-1.0/*/IMEngine/chewing.so
%{_datadir}/scim/icons/scim-chewing.png
%{_datadir}/scim/icons/scim-chewing-swap-colors.png


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.5-6
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.3.5-4
- Fix FTBFS with libchewing-0.4.0 (#1107282)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Apr 27 2013 Ding-Yi Chen <dchen at redhat dot com> - 0.3.5-1
- Upstream update to 0.3.5
- Fixed Bug 926494: scim-chewing: Does not support aarch64 in f19 and rawhide

* Wed Feb 27 2013 Parag Nemade <pnemade AT fedoraproject DOT org> - 0.3.4-5
- Resolves:rh#914507 - scim-chewing: FTBFS in rawhide

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 08 2011 Akira TAGOH <tagoh@redhat.com> - 0.3.4-1
- New upstream release.
  - Support libchewing 0.3.3 (#715661)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 11 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.3-0
- Upstream update.

* Tue Nov 11 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.2-1
- Upstream update.

* Wed Sep 17 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.3.1.901-0
- Upstream update.

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.3.1-16
- fix license tag

* Wed Apr 09 2008 Caius Chance <cchance@redhat.com> 0.3.1-15.fc10
- Resolves: rhbz#195416 (Initial input mode configuration.)
- Modified patch naming in .spec file.

* Tue Apr 08 2008 Caius Chance <cchance@redhat.com> 0.3.1-14.fc9
- Resolves: rhbz#228428 (Ctrl-v during preedit appears in buffer on Qt XIM.)

* Wed Jan 13 2008 Caius Chance <cchance@redhat.com> 0.3.1-13.fc9
- Rebuild for F9.

* Tue Jan 08 2008 Caius Chance <cchance@redhat.com> 0.3.1-12.fc9
- Updated buildrequires version of libchewing-devel to 0.3.0-9.

* Tue Jan 08 2008 Caius Chance <cchance@redhat.com> 0.3.1-11.fc9
- Resolves: rhbz#200694 (Moving "Han-Yin" <-> Zhu-Yin" option to AUX UI.)

* Wed Dec 20 2007 Caius Chance <cchance@redhat.com> 0.3.1-10.fc9
- Resolves: rhbz#237924 (Last candidate on lookup table is not a valid 
                         candidate.)
  <<< Refit lookup table page size for last lookup page.

* Wed Jul  4 2007 Jens Petersen <petersen@redhat.com>
- remove with_libstdc_preview macro

* Tue Nov 21 2006 Caius Chance <cchance@redhat.com> - 0.3.1-9.fc7
- Fixed bz#216851 : ported following bugfix to rawhide:
  (bz#216377: PageUp/PageDown doesn't work when Chewing is activated.)

* Wed Nov 08 2006 Caius Chance <cchance@redhat.com> - 0.3.1-8.fc7
- Fixed bz#206120 : gedit crashes when select-all with preedit exists.

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-7
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Caius Chance <cchance@redhat.com> - 0.3.1-6.fc6
- Fixed bz#206112 : Esc key to clean all buffer could't be disabled.

* Fri Sep 15 2006 Caius Chance <cchance@redhat.com> - 0.3.1-5_fc6
- Fixed bz#206125 : scim-chewing: Trigger keys setting isn't correct

* Mon Sep 04 2006 Caius Chance <cchance@redhat.com> - 0.3.1-4_fc6
- Fixed bz#197556 : pre-edit buffer for chewing is not reset after
  deactivation.

* Thu Aug 17 2006 Caius Chance <cchance@redhat.com> - 0.3.1-3
- remove patch of 0.3.1-2 as bug# 191957 is not reproduceable

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.3.1-2.1
- rebuild

* Mon Jun 26 2006 Darshan Santani <dsantani@redhat.com> - 0.3.1-2
- Add scim-chewing-LTC23919-191957.patch (Shoji Sugiyama [IBM Japan], #191957)

* Fri Jun 16 2006 Darshan Santani <dsantani@redhat.com> 
- Update to 0.3.1
- Changed BuildRequires to include intltool

* Tue Jun 06 2006 Darshan Santani <dsantani@redhat.com>
- Changed the BuildRequires to include gettext
- Rebuild

* Tue May 23 2006 Darshan Santani <dsantani@redhat.com>
- Revised the version number
- Rebuild

* Mon May 22 2006 Darshan Santani <dsantani@redhat.com>
- New source tarball added.
- Rebuild.

* Fri Mar 31 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-6
- rebuild without libstdc++so7

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.1-5.1
- bump again for double-long bug on ppc(64)

* Thu Feb  9 2006 Jens Petersen <petersen@redhat.com> - 0.2.1-5
- build conditionally with libstdc++so7 preview library (#166041)
- add with_libstdc_preview switch and tweak libtool to link against newer lib
- update filelist since module dir is now api-versioned

* Fri Dec 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-4
- rebuild with gcc-4.1

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-3
- obsoletes iiimf-le-xcin for upgrades (#173071)

* Thu Oct  6 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-2
- require scim explicitly

* Tue Aug 16 2005 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- initial build for Fedora Core
- version 0.2.1 buildrequires libchewing 0.2.7 or later
- spec file cleanup

* Mon Jun 20 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-2
- rebuild against scim-1.3.1

* Tue Jun 14 2005 Jens Petersen <petersen@redhat.com> - 0.2.0-1
- initial build
